Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7653 - vim 5.4: improper use of X-windows
Summary: vim 5.4: improper use of X-windows
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-07 17:23 UTC by craig
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 02:49:11 UTC


Attachments (Terms of Use)

Description craig 1999-12-07 17:23:22 UTC
vim version 5.4 (the non X-windows version) for Red Hat 6.1 cannot be
used remotely without proper x-windows display permission set--eventhough
it is being run in a terminal.

When run, this error message is displayed:
X connection to xxx.yyy.edu:10.0 broken (explicit kill or server shutdown).

I have to explicitly specify the X-windows display computer and
allow the remote computer to accept X connections.

This behaviour was not present in an earlier version of vim nor in
the traditional vi command.

Comment 1 Bernhard Rosenkraenzer 1999-12-08 15:23:59 UTC
Get the 5.5 version from rawhide.

Comment 2 craig 1999-12-12 18:48:59 UTC
vim version 5.5 (19 Sep 1999) also has the same problem.

Comment 3 craig 1999-12-29 20:26:59 UTC
Using vim version 5.5 (1999 Sep 19):

If the environmental variable $DISPLAY is defined, then vim
(running through /bin/vi) will try to access X-windows on the
computer specified in the $DISPLAY variable.  If this variable
is undefined, for example in bash:
   export DISPLAY=""
or in csh:
   setenv DISPLAY ""
then the program will run successfully without trying to access
an X-windows connection.

Since /bin/vi does not need X-windows to run, it should not
be using the $DISPLAY variable.  This causes problems when
the $DISPLAY variable is set to a location which cannot be opened,
or when the remote computer is not running X-windows.

Comment 4 Nalin Dahyabhai 2000-02-05 02:49:59 UTC
This appears to be fixed in vim-5.6-4 in Raw Hide.  Please reopen this bug if
this is not the case.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.